Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.registry
Class AbstractServiceDescriptor

    java.lang.Object
      org.mule.api.registry.AbstractServiceDescriptor

All Implemented Interfaces:
  ServiceDescriptor

Direct Known Subclasses:
  DefaultModelServiceDescriptor, DefaultTransportServiceDescriptor

    public abstract class AbstractServiceDescriptor

extends Object
implements ServiceDescriptor

Nested Class Summary
`static class` | `AbstractServiceDescriptor.Key` Unique key used to cache the service descriptors.

Field Summary
`protected Log` | `logger` logger used by this class
`protected String` | `service`

Constructor Summary
`AbstractServiceDescriptor(String service)`

Method Summary
`String` | `getService()`
`protected Class<?>` | `removeClassProperty(String name, Properties properties)`
`protected String` | `removeProperty(String name, Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  logger used by this class

### service

    protected String service

Constructor Detail

### AbstractServiceDescriptor

    public AbstractServiceDescriptor(String service)

Method Detail

### getService

    public String getService()

  Specified by:
    `getService` in interface `ServiceDescriptor`

### removeProperty

    protected String removeProperty(String name,
                                    Properties properties)

### removeClassProperty

    protected Class<?> removeClassProperty(String name,
                                           Properties properties)
                                    throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.